Bug 20285 - kernel-smp fails while standard kernel loads
kernel-smp fails while standard kernel loads
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-03 11:00 EST by Dale Lovelace
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 18:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dale Lovelace 2000-11-03 11:00:19 EST
HP Netserver Dual PIII-750

  The kernel-smp-2.2.16-22 fails to boot with this error during bootup:

kmod: failed to exec /sbin/modprobe -s -k block-major-8, errno=2
VFS: Cannot open root device 08:08
Kernel Panic: VFS: Unable to mount root fs on 08:08

  While the standard kernel-2.2.16-22 boots correctly.

  This machine is at Meridian and is available for inspection.

  Output of lspci:
00:00.0 Host bridge: ServerWorks CNB20HE (rev 05)
00:00.1 Host bridge: ServerWorks CNB20HE (rev 05)
00:04.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100]
(rev 08)
00:05.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC (rev
7a)
00:0f.0 ISA bridge: ServerWorks OSB4 (rev 4f)
00:0f.1 IDE interface: ServerWorks: Unknown device 0211
00:0f.2 USB Controller: ServerWorks: Unknown device 0220 (rev 04)
03:06.0 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c896
(rev 06)
03:06.1 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c896
(rev 06)

  Contents of /etc/sysconfig/hwconf:
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|CNB20HE"
vendorId: 1166
deviceId: 0009
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|CNB20HE"
vendorId: 1166
deviceId: 0009
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|OSB4"
vendorId: 1166
deviceId: 0200
subVendorId: 1166
subDeviceId: 0200
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|unknown device 1166:0211"
vendorId: 1166
deviceId: 0211
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: SCSI
detached: 0
device: sgb
driver: ignore
desc: "Hp SAF-TE; U160 BP"
host: 0
id: 5
channel: 0
lun: 0
-
class: NETWORK
bus: PCI
detached: 0
device: eth
driver: eepro100
desc: "Intel Corporation|82557 [Ethernet Pro 100]"
vendorId: 8086
deviceId: 1229
subVendorId: 103c
subDeviceId: 10ca
pciType: 1
-
class: SCSI
bus: PCI
detached: 0
driver: ncr53c8xx
desc: "Symbios|53c896"
vendorId: 1000
deviceId: 000b
subVendorId: 103c
subDeviceId: 60e0
pciType: 1
-
class: SCSI
bus: PCI
detached: 0
driver: ncr53c8xx
desc: "Symbios|53c896"
vendorId: 1000
deviceId: 000b
subVendorId: 103c
subDeviceId: 60e0
pciType: 1
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Mach64 3D Rage IIC
desc: "ATI|3D Rage IIC"
vendorId: 1002
deviceId: 4759
subVendorId: 103c
subDeviceId: 10c4
pciType: 1
-
class: MOUSE
bus: PSAUX
detached: 0
device: psaux
driver: genericps/2
desc: "Generic PS/2 Mouse"
-
class: CDROM
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "HITACHI CDR-8435"
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Hp 9.10GB B 80-8C02"
host: 0
id: 2
channel: 0
lun: 0
-
class: USB
bus: PCI
detached: 0
driver: usb-ohci
desc: "ServerWorks|unknown device 1166:0220"
vendorId: 1166
deviceId: 0220
subVendorId: 1166
subDeviceId: 0220
pciType: 1
Comment 1 Bill Nottingham 2000-11-04 02:18:30 EST
Um, there is an initrd for the SMP kernel, yes?
(Dumb question, I know.)

Note You need to log in before you can comment on or make changes to this bug.